﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Mandata.AdvancedServices.Json.Jobs;

namespace Mandata.AdvancedServices.Json
{
    /// <summary>
    /// Modified from our standard data manager to return dummy data like we would get from the database.
    /// </summary>
    public static class DataManager
    {
        public static List<Job> FetchJobCollection(string userName, string companyCode, string password, string registration, string date)
        {
            List<Job> result = new List<Job>();

            if (registration == "NL59XJD" || registration == "<All Units>")
            {
                result.Add(new Job { Manpack3JobNumber = "A1111", Registration = "NL59XJD", CollectionDateTime = DateTime.Now.ToString(), Status = "Outstanding" });
                result.Add(new Job { Manpack3JobNumber = "A2222", Registration = "NL59XJD", CollectionDateTime = DateTime.Now.ToString(), Status = "Dropped" });
                result.Add(new Job { Manpack3JobNumber = "A3333", Registration = "NL59XJD", CollectionDateTime = DateTime.Now.ToString(), Status = "Complete" });
            }
            if (registration == "W253VRP" || registration == "<All Units>")
            {
                result.Add(new Job { Manpack3JobNumber = "B1111", Registration = "W253VRP", CollectionDateTime = DateTime.Now.ToString(), Status = "Outstanding" });
            }
          
            return result;
        }

        public static List<string> FetchRegistrationCollection(string userName, string companyCode, string password)
        {
            return new List<string> { "<All Units>", "NL59XJD", "W253VRP" };
        }
    }
}
