﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.ServiceModel.Channels;
using System.ServiceModel.Web;
using System.Text;
using System.Web.Script.Services;
using Mandata.AdvancedServices.Json;
using Mandata.AdvancedServices.Json.Jobs;

namespace Mandata.AdvancedServices.Mobile
{
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class DataService : IDataService
    {
        public List<Job> FetchJobCollection(string userName, string companyCode, string password, string registration, string forDate)
        {
            return DataManager.FetchJobCollection(userName, companyCode, password, registration, forDate);
        }

        public List<string> FetchRegistrationCollection(string userName, string companyCode, string password)
        {
            return DataManager.FetchRegistrationCollection(userName, companyCode, password);
        }
    }
}
