﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.ServiceModel.Channels;
using System.Web.Script.Services;
using System.ServiceModel.Web;

using Mandata.AdvancedServices.Json;
using Mandata.AdvancedServices.Json.Jobs;

namespace Mandata.AdvancedServices.Mobile
{
    [ServiceContract]
    public interface IDataService
    {
        [OperationContract]
        [WebInvoke(Method = "GET",
                   RequestFormat = WebMessageFormat.Json,
                   ResponseFormat = WebMessageFormat.Json,
                   BodyStyle=WebMessageBodyStyle.Bare,
                   UriTemplate = "FetchJobCollection?userName={userName}&companyCode={companyCode}&password={password}&registration={registration}&forDate={forDate}")]
        List<Job> FetchJobCollection(string userName, string companyCode, string password, string registration, string forDate);

        [OperationContract]
        [WebInvoke(Method = "GET",
                   RequestFormat = WebMessageFormat.Json,
                   ResponseFormat = WebMessageFormat.Json,
                   BodyStyle = WebMessageBodyStyle.Bare,
                   UriTemplate = "FetchRegistrationCollection?userName={userName}&companyCode={companyCode}&password={password}")]
        List<string> FetchRegistrationCollection(string userName, string companyCode, string password);
    }
}
